.donation-section {
    border: 1px solid #F99659;
    padding: 20px;
    margin: 0 auto 50px;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    max-width: 95%;
}

.donation-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    width: 100%;
    margin-top: 150px;
}

.text-section {
    flex-basis: 50%;
    max-width: 50%;
}

.impact-text {
    font-size: 35px;
    margin-bottom: 10px;
}

.donate-text {
    font-size: 24px;
    margin-bottom: 20px;
}

.text-highlight {
    font-weight: bold;
    color: #F99659;
}

.donation-buttons {
    flex-basis: 50%;
    max-width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.donation-button {
    border: 2px solid #F99659;
    border-radius: 7px;
    background-color: #fff;
    color: #000;
    cursor: pointer;
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 5px;
    padding: 20px 20px;
    width: 700px;
    transition: all 0.3s ease;
}

.donation-option,
.amount-option {
    border: 2px solid #F99659;
    border-radius: 7px;
    background-color: #fff;
    color: #000;
    cursor: pointer;
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 5px;
    padding: 20px 20px;
    width: 416px;
    transition: all 0.3s ease;
}

.amount-option {
    width: 165px;
    margin-bottom: 10px;
}

.amounts-row {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.donation-custom-amount,
.custom-amount-input {
    border: 2px solid #F99659;
    border-radius: 25px;
    padding: 10px 20px;
}

.donation-custom-amount {
    border: none;
    margin-top: 50px;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 93%;
    position: relative;
}

.currency-symbol {
    font-size: 24px;
    position: absolute;
    left: 0;
    bottom: 10px;
}

.custom-amount-input {
    border: none;
    font-size: 20px;
    flex-grow: 1;
    outline: none;
    position: absolute;
    background: transparent;
    width: calc(100% - 60px);
    left: 30px;
}

.custom-amount-input::placeholder {
    color: transparent;
}

.donation-option.active,
.amount-option.active {
    background-color: #F99659;
    color: #fff;
}

.donation-option.active:hover,
.amount-option.active:hover {
    background-color: #F99659;
    color: #fff;
}

.donation-option:hover,
.amount-option:hover,
.donation-button:hover {
    background-color: #F99659;
    color: #fff;
}

.donation-amounts {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    width: 100%;
}

.options-row,
.amounts-row {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.amounts-row .amount-column {
    display: flex;
    align-items: center;
    width: auto;
}

.usd-label {
    font-size: 20px;
    color: #000;
    font-weight: bold;
    position: absolute;
    right: 0;
    bottom: 10px;
}

input:focus {
    outline: none;
}

.donation-custom-amount::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 2px;
    background-color: #F99659;
}

@media (max-width: 1670px) {
    .donation-content {
        flex-direction: column;
        align-items: center;
    }
    .text-section, .donation-buttons {
        flex-basis: 100%;
        max-width: 100%;
    }
    .impact-text {
        font-size: 28px;
    }
    .donate-text {
        font-size: 20px;
    }
    .donation-button,
    .donation-option,
    .amount-option {
        width: 60%;
        font-size: 18px;
        padding: 15px 15px;
    }
    .donation-custom-amount {
        flex-direction: column;
        align-items: center;
    }
    .custom-amount-input,
    .currency-symbol,
    .usd-label {
        position: static;
        margin: 5px 0;
    }
    .donation-custom-amount {
        flex-direction: row;
        justify-content: center;
        position: relative;
    }
    .currency-symbol,
    .usd-label {
        position: static;
        margin: 0 5px;
    }
    .custom-amount-input {
        flex-grow: 1;
        margin: 0 10px;
    }
}

@media (max-width: 526px) {
    .text-section {
        text-align: center;
    }
    .impact-text,
    .donate-text {
        font-size: 22px;
    }
    .options-row {
        flex-direction: column;
        align-items: center;
    }
    .donation-option {
        width: 80%;
        margin: 10px 0;
    }
    .amounts-row {
        flex-direction: column;
        align-items: center;
    }
    .amount-column {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .amount-option {
        box-sizing: border-box;
        width: calc(50% - 10px);
        margin: 5px;
    }
    .donation-custom-amount {
        flex-direction: row;
        justify-content: center;
    }
    .currency-symbol,
    .usd-label {
        font-size: 16px;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    .currency-symbol {
        left: 10px;
    }
    .usd-label {
        right: 10px;
    }
    .custom-amount-input {
        padding-left: 30px;
        padding-right: 30px;
        text-align: left;
    }
}